=== debian/changelog ===
redis (2:2.8.4-2ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Permissions issue
    - debian/patches/CVE-2013-7458.patch: fix in
      deps/linenoise/linenoise.c.
    - CVE-2013-7458
  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2015-4335.patch: fix in
      deps/lua/src/ldo.c.
    - CVE-2015-4335
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2015-8080.patch: fix in
      deps/lua/src/lua_struct.c.
    - CVE-2015-8080
  * SECURITY UPDATE: Cross protocol scripting
    - debian/patches/CVE-2016-10517.patch: fix in
      src/redis.c, src/redis.h.
    - CVE-2016-10517
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2018-11218.patch: fix in
      deps/lua/src/lua_cmsgpack.c.
    - CVE-2018-11218
  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2018-11219-*.patch: fix in
      deps/lua/src/lua_struct.c.
    - CVE-2018-11219
  * SECURITY UPDATE: Buffer overflow in the redis-cli
    - debian/patches/CVE-2018-12326.patch: fix in
      redis-cli.c.
    - CVE-2018-12326

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 26 Jun 2018 15:50:43 -0300

redis (2:2.8.4-2) unstable; urgency=low

  * Symlink redis-sentinel to redis-server as it's the same binary.
  * Install sentinel.conf.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jan 2014 12:31:14 +0000

redis (2:2.8.4-1) unstable; urgency=low

  * New upstream version.
  * Sync debian/redis.conf.
  * Also ship redis-sentinel (Closes: #735272)

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jan 2014 10:42:09 +0000

redis (2:2.8.2-1) unstable; urgency=low

  * New upstream version.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Dec 2013 14:37:54 +0000

redis (2:2.8.0-1) unstable; urgency=low

  * New upstream release.
    - Update debian/patches/02-fix-ftbfs-on-kfreebsd.
    - Update debian/patches/03-use-system-jemalloc.diff.
    - Update debian/redis.conf
  * Bump Standards-Version to 3.9.4.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2013 16:51:55 +0000

redis (2:2.6.16-3) unstable; urgency=low

  * Add missing Replaces and Breaks to redis-tools. Thanks to Andreas Beckmann
    (anbe). (Closes: #723703)

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Sep 2013 14:35:24 +0100

redis (2:2.6.16-2) unstable; urgency=low

  * Completely rework and refresh debian/copyright. (Closes: #723162)
  * Update website in debian/copyright.
  * Drop client library references from debian/copyright (dropped in
    2:1.1.90~beta-1).
  * Update main copyright year.

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Sep 2013 19:08:01 +0100

redis (2:2.6.16-1) unstable; urgency=low

  * New upstream release.
  * Split non-server binaries into redis-tools package. (Closes: #723006)
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Sep 2013 09:53:49 +0100
