=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_test:
 	# Testsuite requires working TCP/IP and a non-interactive mode
