=== debian/changelog ===
redis (2:2.8.17-1~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Fix Lua sandbox bypass by disabling Lua bytecode loading
    as per CVE-2015-4335.
  * Drop systemd support from wheezy-backports branch.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jun 2015 11:12:39 +0100

redis (2:2.8.17-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports. (Closes: #764674)

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Oct 2014 15:54:19 +0100

redis (2:2.8.17-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Oct 2014 11:47:32 +0100

redis (2:2.8.14-1) unstable; urgency=low

  * New upstream release.
  * Guillaume Delacour:
    - Use dpkg-buildflags CFLAGS, CPPFLAGS (patch upstream Makefile) and
      LDFLAGS, also use pie and relro via DEB_BUILD_MAINT_OPTIONS
    - Call make V=1 to show gcc command lines (blhc) and enable parallel build
  * Sync debian/redis.conf and redis.conf.
  * Refresh 02-fix-ftbfs-on-kfreebsd patch.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Sep 2014 13:54:51 +0100

redis (2:2.8.6-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports
    - In a clean environment; mea culpa (Closes: #740641)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Mar 2014 22:04:05 +0000

redis (2:2.8.5-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Feb 2014 09:36:42 +0000

redis (2:2.6.13-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2013 14:22:20 +0100
