=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://redis.io/
 Vcs-Git: git://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis
