=== debian/changelog ===
redis (2:2.8.19-3) unstable; urgency=medium

  * Add DEP-8 smoke test.

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Feb 2015 19:19:42 +0000

redis (2:2.8.19-2) unstable; urgency=low

  * Re-enable testsuite.
    - Add tcl to Build-Depends.
  * Add --oknodo to initscript "start" action to ensure correct return code if
    is already running.
  * Use the latest debian/changelog date in 05-reproducible-build.diff.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Jan 2015 04:48:25 +0000

redis (2:2.8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Dec 2014 10:06:28 +0000

redis (2:2.8.18-1) unstable; urgency=low

  * New upstream release.
    - Sync debian/redis.conf.
  * Attempt to make build reproducible by dropping timestamp/uname name from
    release.h.
  * Bump Standards-Version to 3.9.6.

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Dec 2014 12:19:43 +0000
