=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,7 @@
 endif
 
 %:
-	dh $@
-
-override_dh_auto_test:
-	# Testsuite requires working TCP/IP and a non-interactive mode
+	dh $@ --with systemd
 
 override_dh_auto_install:
