## redis 3.0.3

=== debian/changelog ===
redis (2:3.0.3-3) unstable; urgency=medium

  * Replace ExecStop in systemd configuration with TimeoutStopSpec. Calls to
    `redis-cli shutdown` were not reliable if the port/UNIX socket had changed
    from the defaults (or is not accessible due to firewalling, permissions,
    etc.)

    Note that we cannot simply remove ExecStop (hence TimeoutStopSpec) as we
    must wait for the server to fully shutdown - it may not have finished
    writing the dump file to disk and thus we would be risking silent data loss
    if it is SIGKILL'd.

    Thanks to Chris Kuehl <ckuehl@ocf.berkeley.edu>. (Closes: #794437)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Aug 2015 14:40:19 +0100

redis (2:3.0.3-2) unstable; urgency=medium

  * Switch from RuntimeDirectory to systemd-tempfiles.

    Both redis-server and redis-sentinel use the the same RuntimeDirectory
    (/run/redis). This is wrong since systemd removes RuntimeDirectory on
    service stop. So, stopping redis-server removes redis-sentinel.pid as well.

    Using a systemd-tempfile is a more robust approach. We are also removing
    ExecStartPre lines since directory creation is handled in a different
    level.

    Thanks to Christos Trochalakis <yatiohi@ideopolis.gr>. (Closes: #793016)

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Jul 2015 14:52:01 +0100

redis (2:3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jul 2015 14:48:12 +0100

redis (2:3.0.2-3) unstable; urgency=medium

  * Add some missing tools:
    - ./utils/lru/
    - ./src/redis-trib.rb
    - Don't compress redis-trib.rb
    - Add ruby-redis to Suggests.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jul 2015 15:23:33 +0100

redis (2:3.0.2-2) unstable; urgency=medium

  * Create /var/run/redis with the correct permissions in systemd .service
    files. Thanks to Sebastian Lipponer <mail@sebastianlipponer.de>.
    (Closes: #787257)
  * Install Bash completions to /usr/share/bash-completion/completions instead
    of /etc/bash_completion.d (see #787257).

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Jun 2015 15:56:52 +0100

redis (2:3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jun 2015 12:38:22 +0100

redis (2:3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 May 2015 16:23:59 +0100

redis (2:3.0.0-2) unstable; urgency=medium

  * redis-server was not able to start under systemd with default redis.conf
    due to the absence of /var/run/redis; when RuntimeDirectory is specified in
    *.service file, systemd creates the directory in /var/run and sets the
    correct permissions. Thanks to Mikhael A <spir@spir.ru>.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Apr 2015 13:27:08 +0100

redis (2:3.0.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Apr 2015 18:08:31 +0100

redis (2:3.0.0~rc6-2) unstable; urgency=medium

  * Don't make test failures cause a build failure - known timing issues
    upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Mar 2015 13:37:18 +0000

redis (2:3.0.0~rc6-1) unstable; urgency=medium

  * New upstream RC release.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Mar 2015 23:12:29 +0000

redis (2:3.0.0~rc5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Mar 2015 19:16:34 +0000

redis (2:3.0.0~rc5-1) experimental; urgency=medium

  * New upstream RC release.
  * wrap-and-sort entries.
  * Tidy debian/rules.
  * Move to debhelper compatibility level 9.
  * Don't run tests if nocheck specified.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Mar 2015 11:36:46 +0000

redis (2:3.0.0~rc4-1) experimental; urgency=medium

  * New upstream RC release.
  * wrap-and-sort.
  * Use the latest debian/changelog date in 05-reproducible-build.diff.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Feb 2015 23:33:53 +0000

redis (2:3.0.0~rc3-1) experimental; urgency=medium

  * New upstream RC release.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Jan 2015 19:03:31 +0000

redis (2:3.0.0~rc2-2) experimental; urgency=medium

  * Add Build-Depends on `tcl` for tests.
  * Add the following run-parts(8) directories that are be executed at the
    appropriate daemon start and stop actions:

    - /etc/redis/redis-server.pre-up.d
    - /etc/redis/redis-server.pre-down.d
    - /etc/redis/redis-server.post-up.d
    - /etc/redis/redis-server.post-down.d
    - /etc/redis/redis-sentinel.pre-up.d
    - /etc/redis/redis-sentinel.pre-down.d
    - /etc/redis/redis-sentinel.post-up.d
    - /etc/redis/redis-sentinel.post-down.d

    This is useful for loading Lua scripts which are not persisted across
    restarts. Scripts should be idempotent so that multiple calls to (eg.)
    "/etc/init.d/redis-server start" do not result in unintended consequences.
  * Also run Redis Sentinel tests.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Jan 2015 05:04:24 +0000

redis (2:3.0.0~rc2-1) experimental; urgency=low

  * New upstream RC release.
    - Sync debian/redis.conf.
  * Renable testsuite.
  * Add --oknodo to initscript "start" action to ensure correct return code if
    is already running.
  * Split redis-sentinel into its own package (Closes: #775414)
    - Move /usr/bin/redis-sentinel symlink to new package.
    - Fork ./sentinel.conf -> debian/sentinel.conf for own changes.
    - Add logrotate stanza.
    - Override permissions of /etc/redis/sentinel.conf with dpkg-statoverride -
      needs to be writable by Sentinel itself.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jan 2015 10:55:28 +0000

redis (2:2.4.0~rc5-1) experimental; urgency=low

  * New upstream RC release.
  * Update debian/redis.conf.
  * Drop documentation package - dropped upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jul 2011 21:41:25 +0200
