=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any], dh-systemd (>= 1.5), tcl
+Build-Depends: debhelper (>= 9),
+               dh-systemd (>= 1.5),
+               libjemalloc-dev [linux-any],
+               tcl
 Standards-Version: 3.9.6
 Homepage: http://redis.io/
 Vcs-Git: git://github.com/lamby/pkg-redis.git
@@ -10,7 +13,10 @@
 
 Package: redis-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, redis-tools (= ${binary:Version}), adduser
+Depends: adduser,
+         redis-tools (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Persistent key-value database with network interface
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
@@ -21,6 +27,7 @@
 Package: redis-tools
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: ruby-redis
 Replaces: redis-server (<< 2:2.6.16-1)
 Breaks: redis-server (<< 2:2.6.16-1)
 Description: Persistent key-value database with network interface (client)
@@ -29,3 +36,13 @@
  manipulating and querying data structures such as lists and sets.
  .
  This package contains the command line client and other tools.
+
+Package: redis-sentinel
+Architecture: any
+Depends: redis-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Persistent key-value database with network interface (monitoring)
+ Redis is a key-value database in a similar vein to memcache but the dataset
+ is non-volatile. Redis additionally provides native support for atomically
+ manipulating and querying data structures such as lists and sets.
+ .
+ This package contains the Redis Sentinel monitoring software.
