## redis 3.0.5

=== debian/changelog ===
redis (2:3.0.5-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Nov 2015 12:11:43 +0200

redis (2:3.0.5-4) unstable; urgency=high

  * CVE-2015-8080: Integer wraparound in lua_struct.c causing stack-based
    buffer overflow (Closes: #804419)
  * Correct call to /bin/kill in redis-{server,sentinel}.service to avoid
    "kill: invalid argument T" messages when $MAINPID is not set.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Nov 2015 16:22:45 +0200

redis (2:3.0.5-3) unstable; urgency=medium

  * Add a redis-sentinel.tmpfile matching redis-server.tmpfile.
  * wrap-and-sort -sa
  * Rebase all patches with `gbp pq`.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 10:54:30 +0000

redis (2:3.0.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 00:08:48 +0000

redis (2:3.0.5-2) unstable; urgency=medium

  * Also specify `ProtectSystem=true` over `ProtectSystem=full` in
    redis-server.service so that it can write its own configuration file
    when being run in cluster mode. (Closes: #803366)

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 00:01:17 +0000

redis (2:3.0.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 Oct 2015 16:21:57 +0100

redis (2:3.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Sync ./redis.conf and ./debian/redis.conf.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 Oct 2015 16:12:17 +0100

redis (2:3.0.4-8) unstable; urgency=medium

  * Use `ProtectSystem=true` over `ProtectSystem=full` in
    redis-sentinel.service so that it can write its own configuration file
    under /etc. Thanks to Pete Hicks <jph@bebo.com> for the report and fix.
    (Closes: #799696)

 -- Chris Lamb <lamby@debian.org>  Tue, 13 Oct 2015 20:46:23 +0100

redis (2:3.0.4-7) unstable; urgency=medium

  * Change the default (and commented-out) value for "unixsocket" from
    /tmp/redis.sock -> /var/run/redis/redis.sock so that it will work even
    under systemd's PrivateTmp=True. Thanks to 
    Chris <Fisch.666@gmx.de> (Closes: #801464)

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Oct 2015 21:11:57 +0200

redis (2:3.0.4-6) unstable; urgency=medium

  * Allow redis-sentinel to actually write to its own directory;
    ReadWriteDirectories cannot take a filename as I previously thought.
    Thanks to Bernd Zeimetz <b.zeimetz@conova.com> for the prompt report.
    (Closes: #799696)

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Sep 2015 23:24:31 +0200

redis (2:3.0.4-5) unstable; urgency=medium

  * Don't install /etc/redis/{redis,sentinel}.conf world-readable as they may
    contain passwords, additionally setting the ownership to ensure they can
    read their own configuration. (Closes: #800435)
  * Disable CAP_SYS_PTRACE in systemd service files
  * Add Documentation= header to systemd service files.
  * Add a "redis" systemd unit alias.

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Sep 2015 17:42:22 +0200

redis (2:3.0.4-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Sep 2015 15:10:40 +0100

redis (2:3.0.4-4) unstable; urgency=medium

  * Make the parallel change in 2:30.4-3 to redis-server's initscript, not just
    redis-sentinel's.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Sep 2015 14:18:42 +0100

redis (2:3.0.4-3) unstable; urgency=medium

  * Specific `-s /bin/sh` in su's call to start run-parts as the redis's user's
    shell of /bin/false was preventing it from starting under sysvinit. Thanks to
    Michal Humpula <michal.humpula@hudrydum.cz>. (Closes: #798951)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Sep 2015 14:13:26 +0100

redis (2:3.0.4-2) unstable; urgency=medium

  * Add PIDFile= to systemd service files.
  * Run /etc/redis/redis-server.post-up.d (etc.) under the 'redis' user, not
    root in initscript.
    - Document this in 00_example files.
  * Execute run-parts files under systemd, not just under sysvinit.
    (Closes: #798771)
  * Add rudimentary hardening under systemd. (Closes: #798770)

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Sep 2015 07:18:13 +0100

redis (2:3.0.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Sep 2015 19:33:23 +0100

redis (2:3.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Sync debian/redis.conf.
  * Put --system further on to avoid issues with lintian false-positive (and to
    match the manpage).

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Sep 2015 10:28:51 +0100

redis (2:3.0.2-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Jul 2015 14:34:16 +0100

redis (2:3.0.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jun 2015 12:42:49 +0100

redis (2:3.0.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 May 2015 10:15:37 +0100

redis (2:3.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Apr 2015 18:02:00 +0100
